Page MenuHomePhabricator

Update API documentation for new Timestamp library version
Closed, ResolvedPublic0 Story Points

Description

Once the Timestamp library is updated per T224729: Tag a new release of Timestamp and update MediaWiki to use it, we'll need to update the Action API documentation and send an announcement to the mediawiki-api-announce mailing list.

Specifically, the documentation in the api-help-datatypes i18n message needs to be updated to reflect the fact that timezones are no longer ignored, and that ISO 8601 dates with timezones are now accepted.

Details

Related Gerrit Patches:

Event Timeline

Anomie created this task.May 31 2019, 1:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 1:54 PM

Change 518081 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] API: Update api-help-datatypes for Timestamp library changes

https://gerrit.wikimedia.org/r/518081

Anomie moved this task from Blocked to Needs Review on the MediaWiki-API board.Jun 20 2019, 5:00 PM

Change 518081 merged by jenkins-bot:
[mediawiki/core@master] API: Update api-help-datatypes for Timestamp library changes

https://gerrit.wikimedia.org/r/518081

Anomie closed this task as Resolved.Jun 21 2019, 9:07 PM